Package ghidra.util.table.field

# Class PreviewTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ProgramLocation,PreviewTableCellData,Program>
docking.widgets.table.DynamicTableColumnExtensionPoint<ProgramLocation,PreviewTableCellData,Program>
ghidra.util.table.field.ProgramLocationTableColumnExtensionPoint<ProgramLocation,PreviewTableCellData>
ghidra.util.table.field.PreviewTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<ProgramLocation,PreviewTableCellData,Program>`, `ExtensionPoint`, `ProgramBasedDynamicTableColumn<ProgramLocation,PreviewTableCellData>`, `ProgramLocationTableColumn<ProgramLocation,PreviewTableCellData>`

public class PreviewTableColumn extends ProgramLocationTableColumnExtensionPoint<ProgramLocation,PreviewTableCellData>
This table column displays a preview of the `ProgramLocation` with a row in the table. The actual content displayed will vary, depending upon the location. Further, the preview is meant to mimic what the user will see displayed in the Listing display window.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreviewTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `GColumnRenderer<PreviewTableCellData>`
  `getColumnRenderer()`
  Returns the optional cell renderer for this column; null if no renderer is used.
  `ProgramLocation`
  `getProgramLocation(ProgramLocation rowObject, Settings settings, Program program, ServiceProvider serviceProvider)`
  Determines an appropriate program location associated with this field for the indicated row object.
  `PreviewTableCellData`
  `getValue(ProgramLocation rowObject, Settings settings, Program program, ServiceProvider serviceProvider)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnPreferredWidth, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnDisplayName, getColumnPreferredWidth, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier`

- ## Constructor Details

  - ### PreviewTableColumn

    public PreviewTableColumn()

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<ProgramLocation,PreviewTableCellData,Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<ProgramLocation,PreviewTableCellData,Program>`
    Returns:
      the field instance name.

  - ### getValue

    public PreviewTableCellData getValue(ProgramLocation rowObject, Settings settings, Program program, ServiceProvider serviceProvider) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<ProgramLocation,PreviewTableCellData,Program>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<ProgramLocation,PreviewTableCellData,Program>`
    Parameters:
      `rowObject` - the object associated with the row in the table.
      `settings` - field settings
      `program` - the expected data object, as defined by the DATA_SOURCE type
      `serviceProvider` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(ProgramLocation rowObject, Settings settings, Program program, ServiceProvider serviceProvider)
    Description copied from interface: `ProgramLocationTableColumn`
    Determines an appropriate program location associated with this field for the indicated row object. The most probable use is for navigating from the field.
    Parameters:
      `rowObject` - the object associated with the table row.
      `settings` - field settings
      `program` - the program associated with the table.
      `serviceProvider` - the plugin tool associated with the table.
    Returns:
      the address associated with the field.

  - ### getColumnRenderer

    public GColumnRenderer<PreviewTableCellData> getColumnRenderer()
    Description copied from interface: `DynamicTableColumn`
    Returns the optional cell renderer for this column; null if no renderer is used.

    This method allows columns to define custom rendering. The interface returned here ensures that the text used for filtering matches what the users sees (via the `GColumnRenderer.getFilterString(Object, Settings)` method).

    Note: some types should not make use of the aforementioned filter string. These types include the `Number` wrapper types, `Date` and `Enum`s. (This is because the filtering system works naturally with these types.) See `GColumnRenderer`.

    Specified by:
      `getColumnRenderer` in interface `DynamicTableColumn<ProgramLocation,PreviewTableCellData,Program>`
    Overrides:
      `getColumnRenderer` in class `AbstractDynamicTableColumn<ProgramLocation,PreviewTableCellData,Program>`
    Returns:
      the renderer